confparser.c File Reference
`#include "config.h"`
`#include "compat.h"`
`#include "parser/confparser.h"`
`#include "parser/zonelistparser.h"`
`#include "log.h"`
`#include "status.h"`
`#include "wire/acl.h"`
`#include <libxml/xpath.h>`
`#include <libxml/relaxng.h>`
`#include <libxml/xmlreader.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <sys/un.h>`

Go to the source code of this file.

## Functions

ods_status | parse_file_check (const char *cfgfile, const char *rngfile)
hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
listener_type * | parse_conf_listener (const char *cfgfile)
const char * | parse_conf_string (const char *cfgfile, const char *expr, int required)
const char * | parse_conf_zonelist_filename (const char *cfgfile)
const char * | parse_conf_log_filename (const char *cfgfile)
const char * | parse_conf_pid_filename (const char *cfgfile)
const char * | parse_conf_notify_command (const char *cfgfile)
const char * | parse_conf_clisock_filename (const char *cfgfile)
const char * | parse_conf_working_dir (const char *cfgfile)
const char * | parse_conf_username (const char *cfgfile)
const char * | parse_conf_group (const char *cfgfile)
const char * | parse_conf_chroot (const char *cfgfile)
int | parse_conf_use_syslog (const char *cfgfile)
int | parse_conf_verbosity (const char *cfgfile)
int | parse_conf_worker_threads (const char *cfgfile)
int | parse_conf_signer_threads (const char *cfgfile)

## Function Documentation

## parse_conf_chroot()

const char * parse_conf_chroot | ( | const char * | cfgfile | ) |

Definition at line 590 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_clisock_filename()

const char * parse_conf_clisock_filename | ( | const char * | cfgfile | ) |

Definition at line 513 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_group()

const char * parse_conf_group | ( | const char * | cfgfile | ) |

Definition at line 573 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_listener()

listener_type * parse_conf_listener | ( | const char * | cfgfile | ) |

Parse the listener interfaces.

Definition at line 252 of file confparser.c.

References acl_parse_family(), listener_create(), and listener_push().

Referenced by engine_config().

## parse_conf_log_filename()

const char * parse_conf_log_filename | ( | const char * | cfgfile | ) |

Definition at line 457 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_notify_command()

const char * parse_conf_notify_command | ( | const char * | cfgfile | ) |

Definition at line 496 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_pid_filename()

const char * parse_conf_pid_filename | ( | const char * | cfgfile | ) |

Signer specific

Definition at line 477 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

Parse the repositories.

Definition at line 143 of file confparser.c.

Referenced by engine_config().

## parse_conf_signer_threads()

int parse_conf_signer_threads | ( | const char * | cfgfile | ) |

Definition at line 658 of file confparser.c.

References parse_conf_string(), and parse_conf_worker_threads().

Referenced by engine_config().

## parse_conf_string()

const char * parse_conf_string | ( | const char * | cfgfile,
|  | const char * | expr,
|  | int | required )

Parse elements from the configuration file.

Definition at line 355 of file confparser.c.

Referenced by parse_conf_chroot(), parse_conf_clisock_filename(), parse_conf_group(), parse_conf_log_filename(), parse_conf_notify_command(), parse_conf_pid_filename(), parse_conf_signer_threads(), parse_conf_use_syslog(), parse_conf_username(), parse_conf_verbosity(), parse_conf_worker_threads(), parse_conf_working_dir(), parse_conf_zonelist_filename(), parse_sc_dnskey_ttl(), parse_sc_max_zone_ttl(), parse_sc_nsec3_algorithm(), parse_sc_nsec3_iterations(), parse_sc_nsec3_optout(), parse_sc_nsec3_salt(), parse_sc_nsec3param_ttl(), parse_sc_nsec_type(), parse_sc_passthrough(), parse_sc_sig_inception_offset(), parse_sc_sig_jitter(), parse_sc_sig_refresh_interval(), parse_sc_sig_resign_interval(), parse_sc_sig_validity_default(), parse_sc_sig_validity_denial(), parse_sc_sig_validity_keyset(), parse_sc_soa_min(), parse_sc_soa_serial(), and parse_sc_soa_ttl().

## parse_conf_use_syslog()

int parse_conf_use_syslog | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Definition at line 611 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_username()

const char * parse_conf_username | ( | const char * | cfgfile | ) |

Definition at line 556 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_verbosity()

int parse_conf_verbosity | ( | const char * | cfgfile | ) |

Definition at line 624 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_worker_threads()

int parse_conf_worker_threads | ( | const char * | cfgfile | ) |

Signer specific

Definition at line 641 of file confparser.c.

References parse_conf_string().

Referenced by engine_config(), and parse_conf_signer_threads().

## parse_conf_working_dir()

const char * parse_conf_working_dir | ( | const char * | cfgfile | ) |

Definition at line 536 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_conf_zonelist_filename()

const char * parse_conf_zonelist_filename | ( | const char * | cfgfile | ) |

Parse elements from the configuration file.

Parameters

  [in] | allocator | the allocator
  [in] | cfgfile | the configuration file name

Returns
  const char* string Common

Definition at line 418 of file confparser.c.

References parse_conf_string().

Referenced by engine_config().

## parse_file_check()

ods_status parse_file_check | ( | const char * | cfgfile,
|  | const char * | rngfile )

Parse elements from the configuration file.

Definition at line 55 of file confparser.c.

Referenced by engine_config().